<% /*
     $Revision$
     $Id$

    File:           fac_nieuws_forum.inc
    Description:    Toont de belangrijkste nieuwe berichten van het forum
    Parameters:
    Context:        myfacilitor.asp en mogelijk klanten met geheel eigen portal
    Note:           Via proxy ophalen om https problemen te voorkomen

*/ %>
<%
var hasNews = S("fac_nieuws_forum_url") &&
              (user.checkAutorisation("WEB_PRSSYS", true) || user.checkAutorisation("WEB_FACMGT", true));

if (hasNews)
    FCLTHeader.Requires({ plugins: ["jQuery"],
                          js: ["jQuery-ui.js"] // Voor accordion
                        });

function injectNews ()
{
    var hasNews = S("fac_nieuws_forum_url") && S("fac_nieuws_forum_max") > 0 &&
                  (user.checkAutorisation("WEB_PRSSYS", true) || user.checkAutorisation("WEB_FACMGT", true));
    if (!hasNews)
        return;

    %><div id='facforum'></div>

    <script type="text/javascript">
        function doLoad()
        {
            jQuery.ajax({ type: "GET",
                          url: "fac_nieuws_forum_proxy.asp",
                          success: function(tekst)
                          {
                            if (tekst)
                            {
                                $("#facforum").append(tekst)
                                               .accordion({ collapsible: true , heightStyleType: "auto",
                                                            active : false, activate: function () { FcltMgr.resized() } });
                            }
                            FcltMgr.resized();
                          }
            });
        }
        // Uitstellen opdat andere onderdelen van de voorpagina
        // een fractie sneller in beeld komen
        window.setTimeout("doLoad()", 1000);
    </script>
    <%
}
%>